{ lib, stdenv, buildPythonPackage, fetchPypi, libusb1, pytestCheckHook }:

buildPythonPackage rec {
  pname = "libusb1";
  version = "1.10.1";

  src = fetchPypi {
    inherit pname version;
    sha256 = "8d70e5ef11a9facf304e696cc1d571c526bd9e02a8710a045b3b2567db7a54e0";
  };

  postPatch = ''
    substituteInPlace usb1/_libusb1.py --replace \
      "ctypes.util.find_library(base_name)" \
      "'${libusb1}/lib/libusb-1.0${stdenv.hostPlatform.extensions.sharedLibrary}'"
  '';

  buildInputs = [ libusb1 ];

  checkInputs = [ pytestCheckHook ];

  pytestFlagsArray = [
    "usb1/testUSB1.py"
  ];

  meta = with lib; {
    homepage    = "https://github.com/vpelletier/python-libusb1";
    description = "Python ctype-based wrapper around libusb1";
    license     = licenses.lgpl2Plus;
    maintainers = with maintainers; [ prusnak rnhmjoj ];
  };
}
